// -*- c++ -*-

#ifndef _XAWSCREEN_H
#define _XAWSCREEN_H

#include <X11/Intrinsic.h>

#include "XtkScreen.h"

class XawScreen : public XtkScreen
{
public:
  XawScreen(int argc, char **argv);

  void MainLoop();
  void StartUp();

  virtual MapDisplay *CreateMapDisplay();
  virtual MapDisplay *CreateMapDisplay(class World *W, class Player *p);
  virtual CityDisplay *CreateCityDisplay(class City *city,class Player *owner);
  virtual TextDisplay *CreateTextDisplay(int x, int y);

  void CreateChoiceFrame(char *mesg, List<charp> choices, ChoiceHandlerFunc f,
			 void *client_data);
  void DispMessageBox(char *mesg, MessageHandlerFunc f, void *data);

  Widget top;
};

#endif // _XAWSCREEN_H
